#
Summary: Adds Fermi specific entries in /etc/hosts.allow and /etc/hosts.deny
Name: zz_tcp_wrappers_change
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Red Hat v5.2.1
Vendor: Fermilab
Packager: Dan Yocum
requires: tcp_wrappers
%description
This package will add entries in /etc/hosts.allow and /etc/hosts.deny which
are Fermi specific.  By limiting access to certain services to Fermi sites
only, it increases security.

Specifically, we disallow everyone outside of .fnal.gov all service on the 
machine and allow virtually everything within .fnal.gov domain.

The original files will be saved as /etc/hosts.allow(deny).rpmsave.  
%files
%post
cp /etc/hosts.allow /etc/hosts.allow.rpmsave
cp /etc/hosts.deny /etc/hosts.deny.rpmsave

echo "" >> /etc/hosts.deny
echo "ALL: ALL" >> /etc/hosts.deny

echo "" >> /etc/hosts.allow
echo "portmap: 131.225.0.0/255.255.0.0" >> /etc/hosts.allow
echo "rpc.mountd: 131.225." >> /etc/hosts.allow
echo "sshd: .fnal.gov" >> /etc/hosts.allow
echo "ALL: .fnal.gov" >> /etc/hosts.allow

%postun

if [ -f /etc/hosts.deny -a -f /etc/hosts.deny.rpmsave ]
then 
	mv -f /etc/hosts.deny.rpmsave /etc/hosts.deny
fi

if [ -f /etc/hosts.allow -a -f /etc/hosts.allow.rpmsave ]
then 
	mv -f /etc/hosts.allow.rpmsave /etc/hosts.allow
fi
